#standard equipment type config file
#    
#     SM-BRC Battery Unit
#
#     Constraint to the Solution config file:
#               Relevant Sampler List: RS485
#               Relevant Equipment List: Battery Gourp,SMDU Unit
#


#1. Equipment basic information
[EQUIPMENT_TYPE_INFO]
#Type ID    	Group Type Flag		Type Name	    	Type Name Resource ID
306		0			SM-BRC Battery Unit	14


#2. Define signals of this standard equipment
#2.1 Define the Sampling Signals
[SAMPLING_SIGNAL_NUM]
6

[SAMPLING_SIGNAL_INFO]
#note:if you want to change the sig name, please change the name difined in the relevant resource file synchronously
#Sig ID		Sig Name		Sig Name Resource ID	Sig Unit	Index of Sampler List		Sampler Channel ID	Sig Value Type		Storing Threshold	Storing Interval	Evaluation Expression					Value Range			Value Diaplay Attribute		Value Display Level	Value Display ID	Value Display Format	Disp Exp
1		Overall Volt		100			V		1				1			F				NA			NA			NA						NA				W/L				NA				1		.1			NA
2		String Curr		101			A		1				2			F				NA			NA			NA						NA				W/L				NA				2		.1			NA
3		Battery Capacity	2			Ah		-1				-3			F				NA			NA			NA						0.0/50000.0				W/L				NA				3		.0			NA
4		Capacity Percent	6			%		-1				-2			F				NA			NA			100*[0,0,3]/[0,2,10]				0.0/100.0			W/L				NA				4		.1			NA
103		Float Curr		102			A		1				3			F				NA			NA			NA						NA				NA				NA				3		.1			NA
104		Ripple Curr		103			A		1				4			F				NA			NA			NA						NA				W/L				NA				4		.1			NA
105		Cell Num		104			NA		1				5			U				NA			NA			NA						NA				W/L				NA				5		NA			NA
14		Batt1 Volt		105			V		1				6			F				NA			NA			NA						NA				W/L				NA				6		.1			NA
15		Batt2 Volt		106			V		1				7			F				NA			NA			NA						NA				W/L				NA				7		.1			NA
16		Batt3 Volt		107			V		1				8			F				NA			NA			NA						NA				W/L				NA				8		.1			NA
17		Batt4 Volt		108			V		1				9			F				NA			NA			NA						NA				W/L				NA				9		.1			NA
18		Batt5 Volt		109			V		1				10			F				NA			NA			NA						NA				W/L				NA				10		.1			NA
19		Batt6 Volt		110			V		1				11			F				NA			NA			NA						NA				W/L				NA				11		.1			NA
20		Batt7 Volt		111			V		1				12			F				NA			NA			NA						NA				W/L				NA				12		.1			NA
21		Batt8 Volt		112			V		1				13			F				NA			NA			NA						NA				W/L				NA				13		.1			NA
22		Batt9 Volt		113			V		1				14			F				NA			NA			NA						NA				W/L				NA				14		.1			NA
23		Batt10 Volt		114			V		1				15			F				NA			NA			NA						NA				W/L				NA				15		.1			NA
24		Batt11 Volt		115			V		1				16			F				NA			NA			NA						NA				W/L				NA				16		.1			NA
25		Batt12 Volt		116			V		1				17			F				NA			NA			NA						NA				W/L				NA				17		.1			NA
26		Batt13 Volt		117			V		1				18			F				NA			NA			NA						NA				W/L				NA				18		.1			NA
27		Batt14 Volt		118			V		1				19			F				NA			NA			NA						NA				W/L				NA				19		.1			NA
28		Batt15 Volt		119			V		1				20			F				NA			NA			NA						NA				W/L				NA				20		.1			NA
29		Batt16 Volt		120			V		1				21			F				NA			NA			NA						NA				W/L				NA				21		.1			NA
30		Batt17 Volt		121			V		1				22			F				NA			NA			NA						NA				W/L				NA				22		.1			NA
31		Batt18 Volt		122			V		1				23			F				NA			NA			NA						NA				W/L				NA				23		.1			NA
32		Batt19 Volt		123			V		1				24			F				NA			NA			NA						NA				W/L				NA				24		.1			NA
33		Batt20 Volt		124			V		1				25			F				NA			NA			NA						NA				W/L				NA				25		.1			NA
34		Batt21 Volt		125			V		1				26			F				NA			NA			NA						NA				W/L				NA				26		.1			NA
35		Batt22 Volt		126			V		1				27			F				NA			NA			NA						NA				W/L				NA				27		.1			NA
36		Batt23 Volt		127			V		1				28			F				NA			NA			NA						NA				W/L				NA				28		.1			NA
37		Batt24 Volt		128			V		1				29			F				NA			NA			NA						NA				W/L				NA				29		.1			NA
130		Batt1 Temperat		129			deg.C		1				30			F				NA			NA			NA						NA				W/L				NA				30		.1			NA
131		Batt2 Temperat		130			deg.C		1				31			F				NA			NA			NA						NA				W/L				NA				31		.1			NA
132		Batt3 Temperat		131			deg.C		1				32			F				NA			NA			NA						NA				W/L				NA				32		.1			NA
133		Batt4 Temperat		132			deg.C		1				33			F				NA			NA			NA						NA				W/L				NA				33		.1			NA
134		Batt5 Temperat		133			deg.C		1				34			F				NA			NA			NA						NA				W/L				NA				34		.1			NA
135		Batt6 Temperat		134			deg.C		1				35			F				NA			NA			NA						NA				W/L				NA				35		.1			NA
136		Batt7 Temperat		135			deg.C		1				36			F				NA			NA			NA						NA				W/L				NA				36		.1			NA
137		Batt8 Temperat		136			deg.C		1				37			F				NA			NA			NA						NA				W/L				NA				37		.1			NA
138		Batt9 Temperat		137			deg.C		1				38			F				NA			NA			NA						NA				W/L				NA				38		.1			NA
139		Batt10 Temperat		138			deg.C		1				39			F				NA			NA			NA						NA				W/L				NA				39		.1			NA
140		Batt11 Temperat		139			deg.C		1				40			F				NA			NA			NA						NA				W/L				NA				40		.1			NA
141		Batt12 Temperat		140			deg.C		1				41			F				NA			NA			NA						NA				W/L				NA				41		.1			NA
142		Batt13 Temperat		141			deg.C		1				42			F				NA			NA			NA						NA				W/L				NA				42		.1			NA
143		Batt14 Temperat		142			deg.C		1				43			F				NA			NA			NA						NA				W/L				NA				43		.1			NA
144		Batt15 Temperat		143			deg.C		1				44			F				NA			NA			NA						NA				W/L				NA				44		.1			NA
145		Batt16 Temperat		144			deg.C		1				45			F				NA			NA			NA						NA				W/L				NA				45		.1			NA
146		Batt17 Temperat		145			deg.C		1				46			F				NA			NA			NA						NA				W/L				NA				46		.1			NA
147		Batt18 Temperat		146			deg.C		1				47			F				NA			NA			NA						NA				W/L				NA				47		.1			NA
148		Batt19 Temperat		147			deg.C		1				48			F				NA			NA			NA						NA				W/L				NA				48		.1			NA
149		Batt20 Temperat		148			deg.C		1				49			F				NA			NA			NA						NA				W/L				NA				49		.1			NA
150		Batt21 Temperat		149			deg.C		1				50			F				NA			NA			NA						NA				W/L				NA				50		.1			NA
151		Batt22 Temperat		150			deg.C		1				51			F				NA			NA			NA						NA				W/L				NA				51		.1			NA
152		Batt23 Temperat		151			deg.C		1				52			F				NA			NA			NA						NA				W/L				NA				52		.1			NA
153		Batt24 Temperat		152			deg.C		1				53			F				NA			NA			NA						NA				W/L				NA				53		.1			NA
154		Overall Volt Alarm	153			NA		1				54			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				54		NA			NA
155		String Current Alarm	154			NA		1				55			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				55		NA			NA
156		Float Current Alarm	155			NA		1				56			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				56		NA			NA
157		Ripple Current Alarm	156			NA		1				57			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				57		NA			NA
158		Cell Ambient Alarm	157			NA		1				58			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				58		NA			NA
159		Cell 1 Volt Alarm	158			NA		1				59			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				64		NA			NA
160		Cell 2 Volt Alarm	159			NA		1				60			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				65		NA			NA
161		Cell 3 Volt Alarm	160			NA		1				61			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				66		NA			NA
162		Cell 4 Volt Alarm	161			NA		1				62			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				67		NA			NA
163		Cell 5 Volt Alarm	162			NA		1				63			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				68		NA			NA
164		Cell 6 Volt Alarm	163			NA		1				64			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				69		NA			NA
165		Cell 7 Volt Alarm	164			NA		1				65			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				70		NA			NA
166		Cell 8 Volt Alarm	165			NA		1				66			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				71		NA			NA
167		Cell 9 Volt Alarm	166			NA		1				67			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				72		NA			NA
168		Cell 10 Volt Alarm	167			NA		1				68			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				73		NA			NA
169		Cell 11 Volt Alarm	168			NA		1				69			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				74		NA			NA
170		Cell 12 Volt Alarm	169			NA		1				70			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				75		NA			NA
171		Cell 13 Volt Alarm	170			NA		1				71			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				76		NA			NA
172		Cell 14 Volt Alarm	171			NA		1				72			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				77		NA			NA
173		Cell 15 Volt Alarm	172			NA		1				73			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				78		NA			NA
174		Cell 16 Volt Alarm	173			NA		1				74			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				79		NA			NA
175		Cell 17 Volt Alarm	174			NA		1				75			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				80		NA			NA
176		Cell 18 Volt Alarm	175			NA		1				76			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				81		NA			NA
177		Cell 19 Volt Alarm	176			NA		1				77			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				82		NA			NA
178		Cell 20 Volt Alarm	177			NA		1				78			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				83		NA			NA
179		Cell 21 Volt Alarm	178			NA		1				79			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				84		NA			NA
180		Cell 22 Volt Alarm	179			NA		1				80			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				85		NA			NA
181		Cell 23 Volt Alarm	180			NA		1				81			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				86		NA			NA
182		Cell 24 Volt Alarm	181			NA		1				82			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				87		NA			NA
183		Cell 1 Temp Alarm	182			NA		1				83			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				88		NA			NA
184		Cell 2 Temp Alarm	183			NA		1				84			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				89		NA			NA
185		Cell 3 Temp Alarm	184			NA		1				85			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				90		NA			NA
186		Cell 4 Temp Alarm	185			NA		1				86			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				91		NA			NA
187		Cell 5 Temp Alarm	186			NA		1				87			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				92		NA			NA
188		Cell 6 Temp Alarm	187			NA		1				88			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				93		NA			NA
189		Cell 7 Temp Alarm	188			NA		1				89			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				94		NA			NA
190		Cell 8 Temp Alarm	189			NA		1				90			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				95		NA			NA
191		Cell 9 Temp Alarm	190			NA		1				91			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				96		NA			NA
192		Cell 10 Temp Alarm	191			NA		1				92			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				97		NA			NA
193		Cell 11 Temp Alarm	192			NA		1				93			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				98		NA			NA
194		Cell 12 Temp Alarm	193			NA		1				94			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				99		NA			NA
195		Cell 13 Temp Alarm	194			NA		1				95			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				100		NA			NA
196		Cell 14 Temp Alarm	195			NA		1				96			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				101		NA			NA
197		Cell 15 Temp Alarm	196			NA		1				97			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				102		NA			NA
198		Cell 16 Temp Alarm	197			NA		1				98			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				103		NA			NA
199		Cell 17 Temp Alarm	198			NA		1				99			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				104		NA			NA
200		Cell 18 Temp Alarm	199			NA		1				100			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				105		NA			NA
201		Cell 19 Temp Alarm	200			NA		1				101			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				106		NA			NA
202		Cell 20 Temp Alarm	201			NA		1				102			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				107		NA			NA
203		Cell 21 Temp Alarm	202			NA		1				103			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				108		NA			NA
204		Cell 22 Temp Alarm	203			NA		1				104			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				109		NA			NA
205		Cell 23 Temp Alarm	204			NA		1				105			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				110		NA			NA
206		Cell 24 Temp Alarm	205			NA		1				106			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				111		NA			NA
207		Cell 1 Resist Alarm	206			NA		1				107			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				112		NA			NA
208		Cell 2 Resist Alarm	207			NA		1				108			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				113		NA			NA
209		Cell 3 Resist Alarm	208			NA		1				109			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				114		NA			NA
210		Cell 4 Resist Alarm	209			NA		1				110			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				115		NA			NA
211		Cell 5 Resist Alarm	210			NA		1				111			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				116		NA			NA
212		Cell 6 Resist Alarm	211			NA		1				112			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				117		NA			NA
213		Cell 7 Resist Alarm	212			NA		1				113			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				118		NA			NA
214		Cell 8 Resist Alarm	213			NA		1				114			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				119		NA			NA
215		Cell 9 Resist Alarm	214			NA		1				115			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				120		NA			NA
216		Cell 10 Resist Alarm	215			NA		1				116			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				121		NA			NA
217		Cell 11 Resist Alarm	216			NA		1				117			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				122		NA			NA
218		Cell 12 Resist Alarm	217			NA		1				118			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				123		NA			NA
219		Cell 13 Resist Alarm	218			NA		1				119			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				124		NA			NA
220		Cell 14 Resist Alarm	219			NA		1				120			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				125		NA			NA
221		Cell 15 Resist Alarm	220			NA		1				121			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				126		NA			NA
222		Cell 16 Resist Alarm	221			NA		1				122			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				127		NA			NA
223		Cell 17 Resist Alarm	222			NA		1				123			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				128		NA			NA
224		Cell 18 Resist Alarm	223			NA		1				124			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				129		NA			NA
225		Cell 19 Resist Alarm	224			NA		1				125			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				130		NA			NA
226		Cell 20 Resist Alarm	225			NA		1				126			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				131		NA			NA
227		Cell 21 Resist Alarm	226			NA		1				127			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				132		NA			NA
228		Cell 22 Resist Alarm	227			NA		1				128			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				133		NA			NA
229		Cell 23 Resist Alarm	228			NA		1				128			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				134		NA			NA
230		Cell 24 Resist Alarm	229			NA		1				130			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				135		NA			NA
231		Cell 1 Inter Alarm	230			NA		1				131			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				136		NA			NA
232		Cell 2 Inter Alarm	231			NA		1				132			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				137		NA			NA
233		Cell 3 Inter Alarm	232			NA		1				133			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				138		NA			NA
234		Cell 4 Inter Alarm	233			NA		1				134			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				139		NA			NA
235		Cell 5 Inter Alarm	234			NA		1				135			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				140		NA			NA
236		Cell 6 Inter Alarm	235			NA		1				136			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				141		NA			NA
237		Cell 7 Inter Alarm	236			NA		1				137			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				142		NA			NA
238		Cell 8 Inter Alarm	237			NA		1				138			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				143		NA			NA
239		Cell 9 Inter Alarm	238			NA		1				139			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				144		NA			NA
240		Cell 10 Inter Alarm	239			NA		1				140			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				145		NA			NA
241		Cell 11 Inter Alarm	240			NA		1				141			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				146		NA			NA
242		Cell 12 Inter Alarm	241			NA		1				142			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				147		NA			NA
243		Cell 13 Inter Alarm	242			NA		1				143			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				148		NA			NA
244		Cell 14 Inter Alarm	243			NA		1				144			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				149		NA			NA
245		Cell 15 Inter Alarm	244			NA		1				145			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				150		NA			NA
246		Cell 16 Inter Alarm	245			NA		1				146			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				151		NA			NA
247		Cell 17 Inter Alarm	246			NA		1				147			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				152		NA			NA
248		Cell 18 Inter Alarm	247			NA		1				148			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				153		NA			NA
249		Cell 19 Inter Alarm	248			NA		1				149			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				154		NA			NA
250		Cell 20 Inter Alarm	249			NA		1				150			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				155		NA			NA
251		Cell 21 Inter Alarm	250			NA		1				151			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				156		NA			NA
252		Cell 22 Inter Alarm	251			NA		1				152			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				157		NA			NA
253		Cell 23 Inter Alarm	252			NA		1				153			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				158		NA			NA
254		Cell 24 Inter Alarm	253			NA		1				154			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				159		NA			NA
255		Cell 1 ToAmbient Alarm	254			NA		1				155			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				160		NA			NA
256		Cell 2 ToAmbient Alarm	255			NA		1				156			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				161		NA			NA
257		Cell 3 ToAmbient Alarm	256			NA		1				157			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				162		NA			NA
258		Cell 4 ToAmbient Alarm	257			NA		1				158			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				163		NA			NA
259		Cell 5 ToAmbient Alarm	258			NA		1				159			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				164		NA			NA
260		Cell 6 ToAmbient Alarm	259			NA		1				160			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				165		NA			NA
261		Cell 7 ToAmbient Alarm	260			NA		1				161			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				166		NA			NA
262		Cell 8 ToAmbient Alarm	261			NA		1				162			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				167		NA			NA
263		Cell 9 ToAmbient Alarm	262			NA		1				163			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				168		NA			NA
264		Cell 10 ToAmbient Alarm	263			NA		1				164			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				169		NA			NA
265		Cell 11 ToAmbient Alarm	264			NA		1				165			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				170		NA			NA
266		Cell 12 ToAmbient Alarm	265			NA		1				166			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				171		NA			NA
267		Cell 13 ToAmbient Alarm	266			NA		1				167			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				172		NA			NA
268		Cell 14 ToAmbient Alarm	267			NA		1				168			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				173		NA			NA
269		Cell 15 ToAmbient Alarm	268			NA		1				169			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				174		NA			NA
270		Cell 16 ToAmbient Alarm	269			NA		1				170			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				175		NA			NA
271		Cell 17 ToAmbient Alarm	270			NA		1				171			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				176		NA			NA
272		Cell 18 ToAmbient Alarm	271			NA		1				172			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				177		NA			NA
273		Cell 19 ToAmbient Alarm	272			NA		1				173			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				178		NA			NA
274		Cell 20 ToAmbient Alarm	273			NA		1				174			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				179		NA			NA
275		Cell 21 ToAmbient Alarm	274			NA		1				175			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				180		NA			NA
276		Cell 22 ToAmbient Alarm	275			NA		1				176			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				181		NA			NA
277		Cell 23 ToAmbient Alarm	276			NA		1				177			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				182		NA			NA
278		Cell 24 ToAmbient Alarm	277			NA		1				178			E				NA			NA			NA						[ID97=Low]/[ID98=High]		NA				NA				183		NA			NA
279		String Addr Value	278			NA		1				180			U				NA			NA			NA						NA				NA				NA				184		NA			NA
280		String Seq Num		279			NA		1				181			U				NA			NA			NA						NA				NA				NA				185		NA			NA
283		Has Cell Volt LAlarm	280			NA		1				183			E				NA			NA			NA						[ID290=None]/[ID291=Has]	NA				NA				59		NA			NA
284		Has Cell Temp LAlarm	281			NA		1				184			E				NA			NA			NA						[ID290=None]/[ID291=Has]	NA				NA				60		NA			NA
285		Has Cell Resist LAlarm	282			NA		1				185			E				NA			NA			NA						[ID290=None]/[ID291=Has]	NA				NA				61		NA			NA
286		Has Cell Inter LAlarm	283			NA		1				186			E				NA			NA			NA						[ID290=None]/[ID291=Has]	NA				NA				62		NA			NA
287		Has Cell Ambient LAlarm	284			NA		1				187			E				NA			NA			NA						[ID290=None]/[ID291=Has]	NA				NA				63		NA			NA

###Test Resistance data
288		Test Resistance1	300			uOhm		1				188			F				NA			NA			NA						NA				W/L				NA				186		.1			NA
289		Test Resistance2	301			uOhm		1				189			F				NA			NA			NA						NA				W/L				NA				187		.1			NA
290		Test Resistance3	302			uOhm		1				190			F				NA			NA			NA						NA				W/L				NA				188		.1			NA
291		Test Resistance4	303			uOhm		1				191			F				NA			NA			NA						NA				W/L				NA				189		.1			NA
292		Test Resistance5	304			uOhm		1				192			F				NA			NA			NA						NA				W/L				NA				190		.1			NA
293		Test Resistance6	305			uOhm		1				193			F				NA			NA			NA						NA				W/L				NA				191		.1			NA
294		Test Resistance7	307			uOhm		1				194			F				NA			NA			NA						NA				W/L				NA				192		.1			NA
295		Test Resistance8	308			uOhm		1				195			F				NA			NA			NA						NA				W/L				NA				193		.1			NA
296		Test Resistance9	309			uOhm		1				196			F				NA			NA			NA						NA				W/L				NA				194		.1			NA
297		Test Resistance10	310			uOhm		1				197			F				NA			NA			NA						NA				W/L				NA				195		.1			NA
298		Test Resistance11	311			uOhm		1				198			F				NA			NA			NA						NA				W/L				NA				196		.1			NA
299		Test Resistance12	312			uOhm		1				199			F				NA			NA			NA						NA				W/L				NA				197		.1			NA
300		Test Resistance13	313			uOhm		1				200			F				NA			NA			NA						NA				W/L				NA				198		.1			NA
301		Test Resistance14	314			uOhm		1				201			F				NA			NA			NA						NA				W/L				NA				199		.1			NA
302		Test Resistance15	315			uOhm		1				202			F				NA			NA			NA						NA				W/L				NA				200		.1			NA
303		Test Resistance16	316			uOhm		1				203			F				NA			NA			NA						NA				W/L				NA				201		.1			NA
304		Test Resistance17	317			uOhm		1				204			F				NA			NA			NA						NA				W/L				NA				202		.1			NA
305		Test Resistance18	318			uOhm		1				205			F				NA			NA			NA						NA				W/L				NA				203		.1			NA
306		Test Resistance19	319			uOhm		1				206			F				NA			NA			NA						NA				W/L				NA				204		.1			NA
307		Test Resistance20	320			uOhm		1				207			F				NA			NA			NA						NA				W/L				NA				205		.1			NA
308		Test Resistance21	321			uOhm		1				208			F				NA			NA			NA						NA				W/L				NA				206		.1			NA
309		Test Resistance22	322			uOhm		1				209			F				NA			NA			NA						NA				W/L				NA				207		.1			NA
310		Test Resistance23	323			uOhm		1				210			F				NA			NA			NA						NA				W/L				NA				208		.1			NA
311		Test Resistance24	324			uOhm		1				211			F				NA			NA			NA						NA				W/L				NA				209		.1			NA
																																													
312		Test Intercell1		325			uOhm		1				212			F				NA			NA			NA						NA				W/L				NA				210		.1			NA
313		Test Intercell2		326			uOhm		1				213			F				NA			NA			NA						NA				W/L				NA				211		.1			NA
314		Test Intercell3		327			uOhm		1				214			F				NA			NA			NA						NA				W/L				NA				212		.1			NA
315		Test Intercell4		328			uOhm		1				215			F				NA			NA			NA						NA				W/L				NA				213		.1			NA
316		Test Intercell5		329			uOhm		1				216			F				NA			NA			NA						NA				W/L				NA				214		.1			NA
317		Test Intercell6		330			uOhm		1				217			F				NA			NA			NA						NA				W/L				NA				215		.1			NA
318		Test Intercell7		331			uOhm		1				218			F				NA			NA			NA						NA				W/L				NA				216		.1			NA
319		Test Intercell8		332			uOhm		1				219			F				NA			NA			NA						NA				W/L				NA				217		.1			NA
320		Test Intercell9		333			uOhm		1				220			F				NA			NA			NA						NA				W/L				NA				218		.1			NA
321		Test Intercell10	334			uOhm		1				221			F				NA			NA			NA						NA				W/L				NA				219		.1			NA
322		Test Intercell11	335			uOhm		1				222			F				NA			NA			NA						NA				W/L				NA				220		.1			NA
323		Test Intercell12	336			uOhm		1				223			F				NA			NA			NA						NA				W/L				NA				221		.1			NA
324		Test Intercell13	337			uOhm		1				224			F				NA			NA			NA						NA				W/L				NA				222		.1			NA
325		Test Intercell14	338			uOhm		1				225			F				NA			NA			NA						NA				W/L				NA				223		.1			NA
326		Test Intercell15	339			uOhm		1				226			F				NA			NA			NA						NA				W/L				NA				224		.1			NA
327		Test Intercell16	340			uOhm		1				227			F				NA			NA			NA						NA				W/L				NA				225		.1			NA
328		Test Intercell17	341			uOhm		1				228			F				NA			NA			NA						NA				W/L				NA				226		.1			NA
329		Test Intercell18	342			uOhm		1				229			F				NA			NA			NA						NA				W/L				NA				227		.1			NA
330		Test Intercell19	343			uOhm		1				230			F				NA			NA			NA						NA				W/L				NA				228		.1			NA
331		Test Intercell20	344			uOhm		1				231			F				NA			NA			NA						NA				W/L				NA				229		.1			NA
332		Test Intercell21	345			uOhm		1				232			F				NA			NA			NA						NA				W/L				NA				230		.1			NA
333		Test Intercell22	346			uOhm		1				233			F				NA			NA			NA						NA				W/L				NA				231		.1			NA
334		Test Intercell23	347			uOhm		1				234			F				NA			NA			NA						NA				W/L				NA				232		.1			NA
335		Test Intercell24	348			uOhm		1				235			F				NA			NA			NA						NA				W/L				NA				233		.1			NA

##杨工要求，将告警的高低分开
336		Has Cell Volt HAlarm	280			NA		1				236			E				NA			NA			NA						[ID290=None]/[ID291=Has]	NA				NA				59		NA			NA
337		Has Cell Tempt HAlarm	281			NA		1				237			E				NA			NA			NA						[ID290=None]/[ID291=Has]	NA				NA				60		NA			NA
338		Has Cell Resist HAlarm	282			NA		1				238			E				NA			NA			NA						[ID290=None]/[ID291=Has]	NA				NA				61		NA			NA
339		Has Cell Inter HAlarm	283			NA		1				239			E				NA			NA			NA						[ID290=None]/[ID291=Has]	NA				NA				62		NA			NA
340		Has Cell Ambient HAlarm	284			NA		1				240			E				NA			NA			NA						[ID290=None]/[ID291=Has]	NA				NA				63		NA			NA
#This signal is special used for EEM because we need ambient from SMBRC Unit
341		Ambient(For EEM)	285			deg.C		1				241			F				NA			NA			NA						NA				NA				NA				13		.1			NA
		

###Test Resistance data End

99		Interrupt State		28			NA		1				179			E				NA			NA			NA						[ID11=OK]/[ID11=NoResponse]	NA				NA				5		NA			NA
100		State			15			NA		1				182			E				NA			NA			NA						[ID17=On]/[ID16=Off]		NA				NA				6		NA			NA



#2.2 Define the Control Signals
[CTRL_SIGNAL_NUM]
0

[CTRL_SIGNAL_INFO]
#Sig ID		Sig Name		Sig Name Resource ID	Sig Unit	Index of Sampler List		Sampler Channel ID	Sig Value Type		Value Range		Value Display Attribute		Value Control Attribute		Controlable Expression		Authority Level		Value Display ID	Value Display Format	Control Channel ID	Control Step	Control Param	Control Expression	On Control Action	Disp Exp


#2.3 Define the Setting Signals  
[SETTING_SIGNAL_NUM]
2

[SETTING_SIGNAL_INFO]
#Sig ID		Sig Name				Sig Name Resource ID	Sig Unit	Index of Sampler List		Sampler Channel ID	Sig Value Type		Default Value		Value Range			Value Display Attribute		Value Setting Attribute		Settable Expression	Authority Level		Value Display ID	Value Display Format	Control Channel ID	Setting Step	Control Expression	Persistence Falg	On Control Action	Disp Exp
5		Used by Batt Management			20			NA		-1				-3			E			1			[ID21=Enable]/[ID22=Disable]	W/L				W/L				NA			O			1			NA			-3			NA		NA				1			NA			NA
10		Rated Capacity				96			Ah		-1				-3			F			300			50/50000			W/L				W/L				NA			E			2			.0			-3			10		NA				1			NA			NA
12		Battery Current Imbalance abort(Internal use)			378			NA		-1			-3			E		0				[ID21=no]/[ID22=yes]		NA				NA				NA					E		205			NA			-3			NA				NA			1			NA			NA


#2.4 Define the Alarm Singals
[ALARM_NUM]
19

[ALARM_INFO]
#alarm level: OA MA CA
#Alarm ID	Alarm Name		Alarm Name Resource ID		Alarm Level		Alarm Expression	Alarm Delay	Suppressing Expression		Disp Exp
14		Has Cell Volt LAlarm		280				MA		[0,0,283] == 1		NA			NA			NA
15		Has Cell Temp LAlarm		281				MA		[0,0,284] == 1		NA			NA			NA
16		Has Cell Resist LAlarm		282				MA		[0,0,285] == 1		NA			NA			NA
4		Has Cell Inter LAlarm		283				MA		[0,0,286] == 1		NA			NA			NA
5		Has Cell Ambient LAlarm		284				MA		[0,0,287] == 1		NA			NA			NA
6		Overall Volt High		292				MA		[0,0,154] == 1		NA			NA			NA
7		Overall Volt Low		293				MA		[0,0,154] == 0		NA			NA			NA
8		String Current High		294				MA		[0,0,155] == 1		NA			NA			NA
9		String Current Low		295				MA		[0,0,155] == 0		NA			NA			NA
#10		Float Current High		296				NA		[0,0,156] == 1		NA			NA			NA
#11		Float Current Low		297				NA		[0,0,156] == 0		NA			NA			NA
12		Ripple Current High		298				MA		[0,0,157] == 1		NA			NA			NA
13		Ripple Current Low		299				MA		[0,0,157] == 0		NA			NA			NA
1		Exceed Current Limit		3				OA		([0,2,5]==0)&([1,2,62]==1)&(([0,0,2] > [1,2,29]*[0,2,10])|([0,3,1] & ([0,0,2] > [1,2,29]*[0,2,10]*995/1000)))	NA		[0,3,2]			NA
2		Over Battery current		5				OA		([0,2,5]==0)&[0,0,2] > [1,2,45]*[0,2,10]|([0,3,2]&[0,0,2] > [1,2,45]*[0,2,10]-1)									NA		NA				NA
3		Low Capacity			8				OA		([0,0,3] < [0,2,10]* 0.01*[1,2,60])|([0,3,3] & [0,0,3] < [0,2,10]* 0.01*([1,2,60] + 2))				10		NA				NA
##//2011/03/02杨工 要求将告警区分高低
17		Has Cell Volt HAlarm		349				MA		[0,0,336] == 1		NA			NA			NA
18		Has Cell Tempt HAlarm		350				MA		[0,0,337] == 1		NA			NA			NA
19		Has Cell Resist HAlarm		351				MA		[0,0,338] == 1		NA			NA			NA
20		Has Cell Inter HAlarm		352				MA		[0,0,339] == 1		NA			NA			NA
21		Has Cell Ambient HAlarm		353				MA		[0,0,340] == 1		NA			NA			NA
22		Temperature 1 Not Used		354				MA		[0,0,130]<(0-250)		NA			NA			NA
23		Temperature 2 Not Used		355				MA		[0,0,131]<(0-250)		NA			NA			NA
24		Temperature 3 Not Used		356				MA		[0,0,132]<(0-250)		NA			NA			NA
25		Temperature 4 Not Used		357				MA		[0,0,133]<(0-250)		NA			NA			NA
26		Temperature 5 Not Used		358				MA		[0,0,134]<(0-250)		NA			NA			NA
27		Temperature 6 Not Used		359				MA		[0,0,135]<(0-250)		NA			NA			NA
28		Temperature 7 Not Used		360				MA		[0,0,136]<(0-250)		NA			NA			NA
29		Temperature 8 Not Used		361				MA		[0,0,137]<(0-250)		NA			NA			NA
30		Temperature 9 Not Used		362				MA		[0,0,138]<(0-250)		NA			NA			NA
31		Temperature 10 Not Used		363				MA		[0,0,139]<(0-250)		NA			NA			NA
32		Temperature 11 Not Used		364				MA		[0,0,140]<(0-250)		NA			NA			NA
33		Temperature 12 Not Used		365				MA		[0,0,141]<(0-250)		NA			NA			NA
34		Temperature 13 Not Used		366				MA		[0,0,142]<(0-250)		NA			NA			NA
35		Temperature 14 Not Used		367				MA		[0,0,143]<(0-250)		NA			NA			NA
36		Temperature 15 Not Used		368				MA		[0,0,144]<(0-250)		NA			NA			NA
37		Temperature 16 Not Used		369				MA		[0,0,145]<(0-250)		NA			NA			NA
38		Temperature 17 Not Used		370				MA		[0,0,146]<(0-250)		NA			NA			NA
39		Temperature 18 Not Used		371				MA		[0,0,147]<(0-250)		NA			NA			NA
40		Temperature 19 Not Used		372				MA		[0,0,148]<(0-250)		NA			NA			NA
41		Temperature 20 Not Used		373				MA		[0,0,149]<(0-250)		NA			NA			NA
42		Temperature 21 Not Used		374				MA		[0,0,150]<(0-250)		NA			NA			NA
43		Temperature 22 Not Used		375				MA		[0,0,151]<(0-250)		NA			NA			NA
44		Temperature 23 Not Used		376				MA		[0,0,152]<(0-250)		NA			NA			NA
45		Temperature 24 Not Used		377				MA		[0,0,153]<(0-250)		NA			NA			NA
55		Battery Current Imbalance Alarm		378	OA		[0,2,12] == 1						NA		NA				NA







